> For the complete documentation index, see [llms.txt](https://docs.partner.aboutyou.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.partner.aboutyou.com/api/products/get-products.md).

# Get Products

## Get Products

> \*\*Rate limit:\*\* 1000 requests per minute

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"Status":{"enum":["draft","pending_approval","rejected","pending_active","active","inactive","problem"],"title":"Status","type":"string"},"GetProductsResponseSchema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/GetProductItemSchema"},"title":"Items","type":"array"},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["items","pagination"],"title":"GetProductsResponseSchema","type":"object"},"GetProductItemSchema":{"properties":{"style_key":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Style Key"},"status":{"$ref":"#/components/schemas/Status"},"sku":{"title":"Sku","type":"string"},"ean":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ean"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"deprecated":true,"description":"Use descriptions instead","title":"Description"},"descriptions":{"anyOf":[{"$ref":"#/components/schemas/LocalizedDescriptionSchema"},{"type":"null"}]},"color":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Color"},"size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Size"},"second_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Second Size"},"brand":{"title":"Brand","type":"integer"},"category":{"title":"Category","type":"integer"},"quantity":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Stock quantity of the product variant in the merchant's warehouse.","title":"Quantity"},"quantity_fbm":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Stock quantity of the product variant in ABOUT YOU warehouses.","title":"Quantity Fbm"},"weight":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Weight"},"countries":{"anyOf":[{"items":{"description":"ISO 3166-1 alpha-2 country code","pattern":"^[A-Za-z]{2}$","type":"string"},"type":"array"},{"type":"null"}],"title":"Countries"},"country_of_origin":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Country Of Origin"},"attributes":{"items":{"type":"integer"},"title":"Attributes","type":"array"},"material_composition_textile":{"anyOf":[{"items":{"$ref":"#/components/schemas/MaterialCompositionTextileSchema"},"type":"array"},{"type":"null"}],"title":"Material Composition Textile"},"material_composition_non_textile":{"anyOf":[{"items":{"$ref":"#/components/schemas/MaterialCompositionNonTextileSchema"},"type":"array"},{"type":"null"}],"title":"Material Composition Non Textile"},"prices":{"items":{"$ref":"#/components/schemas/PriceSchema"},"title":"Prices","type":"array"},"images":{"items":{"type":"string"},"title":"Images","type":"array"}},"required":["style_key","status","sku","ean","name","description","descriptions","color","size","second_size","brand","category","quantity","quantity_fbm","weight","countries","country_of_origin","attributes","prices","images"],"title":"GetProductItemSchema","type":"object"},"LocalizedDescriptionSchema":{"additionalProperties":{"type":"string"},"description":"Schema for handling localized descriptions with locale keys.","title":"LocalizedDescriptionSchema","type":"object"},"MaterialCompositionTextileSchema":{"properties":{"cluster_id":{"description":"ID (integer) of this property","minimum":1,"title":"Cluster Id","type":"integer"},"components":{"items":{"$ref":"#/components/schemas/TextileMaterialSchema"},"title":"Components","type":"array"}},"required":["cluster_id","components"],"title":"MaterialCompositionTextileSchema","type":"object"},"TextileMaterialSchema":{"properties":{"material_id":{"description":"ID (integer) of this property","minimum":1,"title":"Material Id","type":"integer"},"fraction":{"description":"Fraction of the material in the composition in percentage.","title":"Fraction","type":"integer"}},"required":["material_id","fraction"],"title":"TextileMaterialSchema","type":"object"},"MaterialCompositionNonTextileSchema":{"properties":{"cluster_id":{"description":"ID (integer) of this property","minimum":1,"title":"Cluster Id","type":"integer"},"components":{"items":{"$ref":"#/components/schemas/NonTextileMaterialSchema"},"title":"Components","type":"array"}},"required":["cluster_id","components"],"title":"MaterialCompositionNonTextileSchema","type":"object"},"NonTextileMaterialSchema":{"properties":{"material_id":{"description":"ID (integer) of this property","minimum":1,"title":"Material Id","type":"integer"}},"required":["material_id"],"title":"NonTextileMaterialSchema","type":"object"},"PriceSchema":{"properties":{"country_code":{"description":"ISO 3166-1 alpha-2 country code","pattern":"^[A-Za-z]{2}$","title":"Country Code","type":"string"},"retail_price":{"exclusiveMinimum":0,"maximum":1000000,"title":"Retail Price","type":"number"},"sale_price":{"anyOf":[{"exclusiveMinimum":0,"maximum":1000000,"type":"number"},{"type":"null"}],"title":"Sale Price"}},"required":["country_code","retail_price"],"title":"PriceSchema","type":"object"},"Pagination":{"properties":{"per_page":{"description":"Number of items per page.","exclusiveMinimum":0,"title":"Per Page","type":"integer"},"page":{"anyOf":[{"exclusiveMinimum":0,"type":"integer"},{"type":"null"}],"description":"Page number (null in cursor mode).","title":"Page"},"pages":{"anyOf":[{"minimum":0,"type":"integer"},{"type":"null"}],"description":"Total pages (null in cursor mode).","title":"Pages"},"total":{"anyOf":[{"minimum":0,"type":"integer"},{"type":"null"}],"description":"Total count (null in cursor mode).","title":"Total"},"next":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL for next page (null in cursor mode).","title":"Next"},"prev":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"URL for previous page (null in cursor mode).","title":"Prev"},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Opaque cursor for next page when using cursor-based pagination.","title":"Next Cursor"}},"required":["per_page"],"title":"Pagination","type":"object"},"BadRequestSchema":{"properties":{"message":{"description":"Error message","title":"Message","type":"string"}},"required":["message"],"title":"BadRequestSchema","type":"object"}}},"paths":{"/api/v1/products/":{"get":{"operationId":"scapi_app_endpoints_product_api_get_products","summary":"Get Products","parameters":[{"in":"query","name":"style_key","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Style key to search for","title":"Style Key"},"required":false,"description":"Style key to search for"},{"in":"query","name":"sku","schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"SKU to search for","title":"SKU"},"required":false,"description":"SKU to search for"},{"in":"query","name":"status","schema":{"anyOf":[{"$ref":"#/components/schemas/Status"},{"type":"null"}],"description":"Status of the product to filter by. Choose from: \"draft\", \"pending_approval\", \"rejected\", \"pending_active\", \"active\", \"inactive\", \"problem\".","title":"Status"},"required":false,"description":"Status of the product to filter by. Choose from: \"draft\", \"pending_approval\", \"rejected\", \"pending_active\", \"active\", \"inactive\", \"problem\"."},{"in":"query","name":"page","schema":{"default":1,"description":"Page number to retrieve items from.","minimum":1,"title":"Page","type":"integer"},"required":false,"description":"Page number to retrieve items from."},{"in":"query","name":"per_page","schema":{"default":20,"description":"Number of items per page.","maximum":100,"minimum":1,"title":"Per Page","type":"integer"},"required":false,"description":"Number of items per page."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProductsResponseSchema"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestSchema"}}}},"default":{"headers":{"X-RateLimit-Limit":{"description":"Total requests allowed in the time window","schema":{"type":"integer"}},"X-RateLimit-Remaining":{"description":"Remaining requests in the current window","schema":{"type":"integer"}}}}},"description":"**Rate limit:** 1000 requests per minute","tags":["Products"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.partner.aboutyou.com/api/products/get-products.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
